#### PyKDE - Python Bindings for KDE

# class RenameDlgPlugin |
Table of contents
Modules
kio Classes
All Classes

Module | kio
Class | RenameDlgPlugin
Inherits | QWidget

### methods

- RenameDlgPlugin (dialog, name, a0 = QStringList ())

  returns a RenameDlgPlugin instance
  Argument | Type | Default
  --- | --- | ---
  dialog | QDialog |
  name | char |
  a0 | QStringList | QStringList ()

- initialize (a0, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10)

  returns (bool)
  Argument | Type | Default
  --- | --- | ---
  a0 | KIO.RenameDlg_Mode |
  a1 | QString |
  a2 | QString |
  a3 | QString |
  a4 | QString |
  a5 | KIO.filesize_t |
  a6 | KIO.filesize_t |
  a7 | time_t |
  a8 | time_t |
  a9 | time_t |
  a10 | time_t |